Bug 121841 - Raid volumes are ignored
Summary: Raid volumes are ignored
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-28 15:28 UTC by Petr Krištof
Modified: 2014-03-17 02:44 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-09 11:14:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rc.sysinit-mdadm.patch (382 bytes, text/plain)
2004-04-28 15:29 UTC, Petr Krištof
no flags Details

Description Petr Krištof 2004-04-28 15:28:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
I have working raid5 volume (created and maintained by mdadm)
mounted in /etc/fstab, but rc.sysinit ignores it and do not
mount it during boot.

/etc/fstab:
/dev/md0 /DATA ext3 defaults 1 0

# mdadm -E --scan
ARRAY /dev/md0 level=raid5 num-devices=4
UUID=bfe69034:528e7618:cfde518d:88fae3ae
   devices=/dev/disk-a1,/dev/disk-b1,/dev/disk-c1,/dev/disk-d1


Version-Release number of selected component (if applicable):
initscripts-7.50-1

How reproducible:
Always

Steps to Reproduce:
1. Create /dev/md0 with mdadm
2. Add it to /etc/fstab
3. Reboot system
    

Actual Results:  The volume is not mounted.

Expected Results:  Volume should be mounted.

Additional info:

Im not using raid-tools, cause they work very bad with SATA (libata)
dynamic assigned device names.

Comment 1 Petr Krištof 2004-04-28 15:29:41 UTC
Created attachment 99737 [details]
rc.sysinit-mdadm.patch

As a workaround, I created empty /etc/raidtab file and applied this patch.

Comment 2 Petr Krištof 2004-12-09 11:14:21 UTC
It is working in Fedora Core 3 without problem,
so closing this bug.



Note You need to log in before you can comment on or make changes to this bug.